// 常量集合
/**
 *  @Description: 新增形态 【时间】相关内容
 *  @Date: 2021/11/30
 *  @Edit: ChenLong
 * */
import moment from 'moment';

const dateDescribe = {
  默认为空: {
    initTime: '',
    endTime: '',
    readOnly: false,
  },
  默认为当前时间: {
    initTime: moment(new Date()),
    endTime: '',
    readOnly: false,
  },
  锁定为当前时间: {
    initTime: moment(new Date()),
    endTime: '',
    readOnly: true,
  },
  不超过当前时间: {
    initTime: '',
    endTime: moment(),
    readOnly: false,
  },
};
const dateType = {
  日期时间: 'date',
  时间: 'time',
  日期: 'date',
  日期年份: 'year',
  日期月份: 'month',
  日期周: 'week',
  时分秒: 'time',
};
const dateFormat = {
  日期时间: 'YYYY-MM-DD HH:mm:ss',
  时间: 'YYYY-MM-DD HH:mm:ss',
  日期: 'YYYY-MM-DD',
  日期年份: 'YYYY',
  日期月份: 'YYYY-MM',
  日期周: 'YYYY-MM-DD',
  时分秒: 'HH:mm:ss',
};
const RegExpObject = {
  number: '^(\\-|\\+)?((0\\.\\d+)|([0-9])|([1-9]\\d+(\\.\\d+)?))$',// 数字，支持正、负、浮点数
  digits: '^(\\-|\\+)?(\\d|[1-9]\\d+)$', // 整数
  email: '^\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$', // 邮箱
  identity: '(^\\d{15}$)|(^\\d{18}$)|(^\\d{17}(\\d|X|x)$)',
  mobile: '^1(3|4|5|6|7|8|9)\\d{9}$',
  bankAccount: '^(\\d{16}|\\d{19})$',
};
const dateArray = { timeControl: ['时间', '仅时间', '日期', '日期月份', '日期年份', '时分秒'] };
const doNotDisplayInEditModelShape = ['编码'];
export { dateDescribe, dateType, dateFormat, RegExpObject, dateArray, doNotDisplayInEditModelShape };
